Video Status

The Status API enables getting the progress and status of the video produced via the API calls.

Get Videos

get

Get videos

Authorizations
api-keystringRequired
Responses
chevron-right
200

Successful Response

application/json
idstringRequired
namestringOptional
statusstring Β· enumRequired

An enumeration.

Possible values:
progressinteger Β· min: -1 Β· max: 100Optional

The videos rendering progress

Default: 0
req_idstringRequired
draft_idstringRequired

The id of the project created by this video request

source_draft_idstringOptional
recipe_idstringOptional
palette_idstringOptional

The palette_id used in this video

character_idstringOptional

The character_id used in this video

voice_idstringOptional

The character_id used in this video

video_player_urlstringRequired

the final videos url

download_urlstringOptional
get
/videos
200

Successful Response

Get Video By Id

get

Get video by id

Authorizations
api-keystringRequired
Path parameters
video_idstringRequired
Responses
chevron-right
200

Successful Response

application/json
idstringRequired
namestringOptional
statusstring Β· enumRequired

An enumeration.

Possible values:
progressinteger Β· min: -1 Β· max: 100Optional

The videos rendering progress

Default: 0
req_idstringRequired
draft_idstringRequired

The id of the project created by this video request

source_draft_idstringOptional
recipe_idstringOptional
palette_idstringOptional

The palette_id used in this video

character_idstringOptional

The character_id used in this video

voice_idstringOptional

The character_id used in this video

video_player_urlstringRequired

the final videos url

download_urlstringOptional
get
/videos/{video_id}

Last updated